Subject: Re: A workflow for local patch maintenance

From: Stephen Bash <[email-masked]>
Date: Fri, 11 Oct 2013 09:22:28 -0400 (EDT)

----- Original Message -----
> From: "Jeff King" <[email-masked]>
> Sent: Thursday, October 10, 2013 1:36:28 PM
> Subject: Re: A workflow for local patch maintenance
> 
> ... snip ...
>
> That being said, there are some new downsides, as you noted:
> 
>   1. Resolving conflicts between your version and the reworked
>   upstream version can be a pain.
> 
> ... snip ...
> 
> To mitigate problem 1, I will sometimes revert a local topic before
> doing the upstream merge, if I know it has been reworked.

Peff (slightly off topic) - A coworker of mine actually ran into this
problem earlier this week.  Is there recommended way to revert a merged
topic branch?  I assume it's essentially reverted each commit introduced
by the branch, but is there a convenient invocation of revert? (easy to 
remember and hard to screw up)

Thanks,
Stephen